* {
	box-sizing: border-box;
}

body, html {
	padding: 0;
	margin: 0;
}

body {
	background-color: rgba(175,255,0,0.19);
	text-align: center;
	font-family: "Courier New", monospace;
}

#title {
	text-align: center;
}

.new-game {
	display: inline-block;
	width: auto;
	height: 35px;
	line-height: 30px;
	font-size: 18px;
	background-color: #b6ff00;
	border-color: #000;
	margin: 2px;
	border-radius: 20px;
	cursor: pointer;
}

.new-game.active {
	background-color: #96d6ff;
}

#game-area {
	margin-top: 50px;
	margin-bottom: 100px;
	background-color: #5bce53;
	position: relative;
}

#game-container {
	padding: 20px;
	font-size:30px;
}

#choice button {
	font-weight: bold;
	font-family: "Courier New", monospace;
	font-size: 30px;
	margin: 5px;
}

#result {
	text-align: center;
	font-size: 45px;
}

#verify {
	margin: 20px auto;
	display: block;
	font-size:30px;
}

#finalresult {
	margin: 20px;
}

#comment-container {
	margin: 20px;
}

#comment {
	font-weight: bold;
}

#comment.success {
	color: #00ad05;
}

#comment.failure {
	color: #ff00be;
}

#score {
	font-weight: bold;
}

#score.underzero {
	color: #ff00be;
}

#hintbutton {
	position: fixed;
	bottom: 20px;
	left: 20px;
}

#hint {
	position: absolute;
	top: 10px;
	right: 10px;
	border: 2px solid black;
}

#hint table {
	border-collapse: collapse;
}

#hint td {
	border: 1px solid black;
	font-size: 14px;
	width: 27px;
	height: 27px;
	background: #fff;
	cursor: default;
}

#hint td[data-col='c0'], #hint td[data-row='r0'] {
	background: #aaa;
	font-weight: bold;
}

#hint td.hover {
	background: #cfffc6;
}

#hint td:hover {
	background: #c6cdff;
}

#hint td.result:hover {
	background: #fff416;
	font-weight: bold;
}

#timer {
	position: absolute;
	top: 20px;
	left: 20px;
	padding: 5px 10px;
	background: rgba(255,255,255,0.7);
	font-weight: bold;
}

#congratulations {
	padding: 20px;
	font-size: 30px;
	font-weight: bold;
}
#footer {
	position: fixed;
	bottom: 0;
	right: 0;
	font-size: 10px;
}

#clock {
	width: 250px;
	height: 250px;
	background: white;
	border: 5px solid black;
	border-radius: 125px;
	margin: 50px auto;
	position: relative;
}

#clock .hourmark {
	position: absolute;
	width: 0;
	height: 0;
	transform-origin: 0 0;
}

.hourmark::after {
	content: '';
	width: 5px;
	height: 20px;
	background: #000;
	position: absolute;
	left: -2.5px;
}

.hourdigit {
	transform: translate(110px,110px);
	position: absolute;
	font-size: 18px;
	width: 20px;
	height: 20px;
	font-weight: bold;
	font-style: italic;
}

#hour, #minute {
	transform-origin: 50% 100%;
	position: absolute;
	transition: 1s linear;
}

#hour {
	width: 10px;
	height: 75px;
	background-color: rgb(206,0,20);
	top: 45px;
	left: 115px;
	border-radius: 5px;
}

#minute {
	width: 6px;
	height: 110px;
	background-color: rgb(0,206,20);
	top: 10px;
	left: 117px;
	border-radius: 5px;
}

#hourball {
	position: absolute;
	bottom: -7.5px;
	left: -2.5px;
	width: 15px;
	height: 15px;
	border-radius: 10px;
	background-color: rgb(206,0,20);
}

#minuteball {
	position: absolute;
	bottom: -5px;
	left: -2px;
	width: 10px;
	height: 10px;
	border-radius: 5px;
	background-color: rgb(0,206,20);
}

/* Koło fortuny */

#board table {
	border-spacing: 8px;
	border-collapse: separate;
	margin: auto;
}

#board table td {
	width: 60px;
	height: 80px;
	text-align: center;
	font-size: 55px;
	font-weight: bold;
	transition: 0.5s linear;
}

#board table td.empty {
	background: #8fff66;
}

#board table td.letter {
	background: #fff;
	border: 5px solid #000;
}

#board table td.zgadnijhaslo {
	border: 5px solid #f00;
}

#kontrolki {
	max-width: 1000px;
	margin: 20px auto;
}

.score {
	margin: 20px;
}

#literki button {
	font-family: Courier, monospace;
	font-size: 20px;
}

#literki {
	width: 50%;
	display: inline-block;
	vertical-align: top;
	padding: 10px;
}

#litery div {
	border: 5px solid transparent;
	padding: 2px 0px 6px;
}

#litery div.active {
	border-color: #406ce9;
}

#kolo {
	width: 50%;
	display: inline-block;
	position: relative;
}

#kolo .jezyczek {
	width: 0;
	height: 0;
	position: absolute;
	border-top: 20px solid #fff300;
	border-left: 10px solid transparent;
	border-right: 10px solid transparent;
	left: calc(50% - 10px);
	top: -15px;
}

#kolo .tarcza {
	width: 300px;
	height: 300px;
	border-radius: 150px;
	background: #fff;
	position: relative;
	margin: auto;
	transition: 3s ease-in-out;
}

#kolo .trojkat {
	width: 0;
	height: 0;
	border-top: 150px solid #000;
	border-left: 27px solid transparent;
	border-right: 27px solid transparent;
	position: relative;
	transform-origin: 50% 100%;
	position: absolute;
	top: 0;
	left: 123px;
}

#kolo .trojkat div {
	color: #fff;
	font-size: 16px;
	position: absolute;
	top: -145px;
	left: -10px;
	writing-mode: vertical-lr;
	text-orientation: upright;
	font-weight: bold;
}

#kolo .okrag {
	position: absolute;
	left: 0;
	top: 0;
	width: 300px;
	height: 300px;
	border-radius: 150px;
	box-shadow: 0 0 3px 3px #000;
}

#game-area #wygrana {
	padding: 420px 50px 0;
	text-align: center;
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	background: rgba(255,255,255,0.7);
	font-size: 35px;
	font-weight: bold;
	text-shadow: 0 0 5px #ff0;
}

/* Game Kulki */

#game-container.kulki #game-controls {
	width: 100%;
	position: relative;
}

#game-container.kulki #score-container {
	font-weight: bold;
	background: rgba(255, 255, 255, 0.4);
	width: auto;
	height: 50px;
	line-height: 30px;
	text-align: center;
	top: 10px;
	right: 10px;
	position: absolute;
	padding: 10px;
}

#game-container.kulki #draw-balls {
	font-size: 20px;
	font-family: Courier, monospace;
	padding: 10px;
	display: block;
	margin: 10px auto;
}

#game-container.kulki #drawn-balls, #game-container.kulki #your-balls {
	width: 100px;
	height: 550px;
	display: inline-block;
}

#game-container.kulki #rope-container {
	width: calc(100% - 200px);
	height: 550px;
	display: inline-block;
	vertical-align: top;
}

#game-container.kulki div.ball {
	width: 80px;
	height: 80px;
	margin: 10px auto;
	border-radius: 40px;
	cursor: pointer;
	box-shadow: 0px 0px 2px 1px #fff;
}

#game-container.kulki #single-win, #game-container.kulki #final-win {
	margin-top: 30px;
	font-weight: bold;
	padding: 10px;
	background: rgba(255, 255, 255, 0.4);
}

#game-container.temperatura {
	position: relative;
}

#game-container.temperatura .termometr {
	width: 200px;
	height: 450px;
	padding: 25px 0px 25px 80px;
	background: #fff;
	margin: auto;
	display: inline-block;
}

#game-container.temperatura .podzialka {
	position: relative;
	height: 100%;
}

#game-container.temperatura .kreska {
	position: absolute;
	border-bottom: 1px solid #000;
	left: 15px;
	width: 70px;
}

#game-container.temperatura .kreska.gruba {
	border-bottom: 3px solid #000;
}

#game-container.temperatura .kreska.gruba.dluga {
	left: 0px;
	width: 100px;
}

#game-container.temperatura .kreska .etykietka {
	font-size: 20px;
	font-weight: bold;
	position: absolute;
	left: -75px;
	top: -10px;
	text-align: right;
	width: 65px;
}

#game-container.temperatura .slupek {
	position: absolute;
	width: 20px;
	height: 440px;
	bottom: -25px;
	left: 40px;
	border: 1px solid #000;
	border-bottom: none;
	border-top-left-radius: 10px;
	border-top-right-radius: 10px;
	transition: 1s linear;
	background: rgba(255,255,255,0.65);
	overflow: hidden;
}

#game-container.temperatura .rtec {
	position: absolute;
	bottom: 0;
	left: 0;
	width: 20px;
	background: #f00;
}

#game-container.temperatura #odpowiedzi {
	margin: 20px auto;
}

#game-container.temperatura #odpowiedzi button.odpowiedz{
	font-size: 30px;
	font-family: "Courier New", monospace;
	font-weight: bold;
	margin: 0 10px;
	padding: 0 10px;
}

#game-container.temperatura #scorecount {
	font-weight: bold;
	background: rgba(255, 255, 255, 0.4);
	width: auto;
	height: 50px;
	line-height: 30px;
	text-align: center;
	top: 10px;
	right: 10px;
	position: absolute;
	padding: 10px;
}

#game-container.temperatura #komunikat {
	font-weight: bold;
	height: 50px;
	line-height: 30px;
	text-align: center;
	padding: 10px;
}

#game-container.temperatura #komunikat span {
	background: rgba(255, 255, 255, 0.4);
	padding: 10px;
}

/* Dzwonki chromatyczne */
#game-area #dzwonki {
	padding: 20px;
}
#dzwonki #keys button {
	width: 45px;
	margin: 20px 2.5px;
	height: 200px;
	font-size: 16px;
	border-bottom-left-radius: 10px;
	border-bottom-right-radius: 10px;
	transition: 0.5s linear;
}
#dzwonki #keys #minor button {
	background: #000;
	color: #fff;
}
#dzwonki #keys #major button {
	background: #fff;
	color: #000;
}
#dzwonki #keys #major button.pressed,
#dzwonki #keys #minor button.pressed {
	/*border-color: #f00;
	border-width: 4px;
	box-shadow: 0px 3px 5px 3px red;*/
	background: #f00;
	transition: none;
}
#dzwonki #keys button.withmargin {
	margin-right: 52.5px;
}
#dzwonki #songselector #songlist {
	margin-right: 20px;
}

#dzwonki #staffcontainer {
	width: 920px;
	height: auto;
	background: #fff;
	margin: 20px auto;
	padding: 1px 10px;
}

#dzwonki .staff {
	height: 41px;
	background: repeating-linear-gradient(#000 0px, #000 1px, transparent 1px, transparent 10px);
	margin-bottom: 60px;
	margin-top: 60px;
	text-align: left;
}

#dzwonki .staff .note, #dzwonki .staff .pause {
	width: 18px;
	height: 40px;
	background-size: contain;
	display: inline-block;
	position: relative;
	margin: 0 5px;
}

#dzwonki .staff .note.L1 {background-image: url("notes/N1.svg");}
#dzwonki .staff .note.L2 {background-image: url("notes/N2.svg");}
#dzwonki .staff .note.L4 {background-image: url("notes/N4.svg");}
#dzwonki .staff .note.L8 {background-image: url("notes/N8.svg");}
#dzwonki .staff .note.L16 {background-image: url("notes/N16.svg");}
#dzwonki .staff .note.L32 {background-image: url("notes/N32.svg");}

#dzwonki .staff .note.L1.active {background-image: url("notes/N1-r.svg");}
#dzwonki .staff .note.L2.active {background-image: url("notes/N2-r.svg");}
#dzwonki .staff .note.L4.active {background-image: url("notes/N4-r.svg");}
#dzwonki .staff .note.L8.active {background-image: url("notes/N8-r.svg");}
#dzwonki .staff .note.L16.active {background-image: url("notes/N16-r.svg");}
#dzwonki .staff .note.L32.active {background-image: url("notes/N32-r.svg");}

#dzwonki .staff .note.N01_G {top: 31px;}
#dzwonki .staff .note.N02_A {top: 26px;}
#dzwonki .staff .note.N03_H {top: 21px;}
#dzwonki .staff .note.N04_C {top: 16px;}
#dzwonki .staff .note.N05_D {top: 11px;}
#dzwonki .staff .note.N06_E {top: 6px;}
#dzwonki .staff .note.N07_F {top: 1px;}
#dzwonki .staff .note.N08_G {top: -4px;}
#dzwonki .staff .note.N09_A {top: -9px;}
#dzwonki .staff .note.N10_H {top: 15px; transform: scale(-1);}
#dzwonki .staff .note.N11_C {top: 10px; transform: scale(-1);}
#dzwonki .staff .note.N12_D {top: 5px; transform: scale(-1);}
#dzwonki .staff .note.N13_E {top: 0px; transform: scale(-1);}
#dzwonki .staff .note.N14_F {top: -5px; transform: scale(-1);}
#dzwonki .staff .note.N15_G {top: -10px; transform: scale(-1);}
#dzwonki .staff .note.N16_A {top: -15px; transform: scale(-1);}

#dzwonki .staff .pause.L1 {background-image: url("notes/P1.svg");}
#dzwonki .staff .pause.L2 {background-image: url("notes/P2.svg");}
#dzwonki .staff .pause.L4 {background-image: url("notes/P4.svg");}
#dzwonki .staff .pause.L8 {background-image: url("notes/P8.svg");}
#dzwonki .staff .pause.L16 {background-image: url("notes/P16.svg");}
#dzwonki .staff .pause.L32 {background-image: url("notes/P32.svg");}

#dzwonki .staff .pause.L1.active {background-image: url("notes/P1-r.svg");}
#dzwonki .staff .pause.L2.active {background-image: url("notes/P2-r.svg");}
#dzwonki .staff .pause.L4.active {background-image: url("notes/P4-r.svg");}
#dzwonki .staff .pause.L8.active {background-image: url("notes/P8-r.svg");}
#dzwonki .staff .pause.L16.active {background-image: url("notes/P16-r.svg");}
#dzwonki .staff .pause.L32.active {background-image: url("notes/P32-r.svg");}

#dzwonki .staff .note-desc,
#dzwonki .staff .pause-desc  {
	position: relative;
	top: 32px;
	display: inline-block;
	left: -15px;
	font-size: 14px;
}

#dzwonki .staff .note-desc:after {
	position: absolute;
	left: -12px;
	width: 24px;
	text-align: center;
}

#dzwonki .staff .note-desc.N01_G:after {content: 'sol';}
#dzwonki .staff .note-desc.N02_A:after {content: 'la';}
#dzwonki .staff .note-desc.N03_H:after {content: 'si';}
#dzwonki .staff .note-desc.N04_C:after {content: 'do';}
#dzwonki .staff .note-desc.N05_D:after {content: 're';}
#dzwonki .staff .note-desc.N06_E:after {content: 'mi';}
#dzwonki .staff .note-desc.N07_F:after {content: 'fa';}
#dzwonki .staff .note-desc.N08_G:after {content: 'sol';}
#dzwonki .staff .note-desc.N09_A:after {content: 'la';}
#dzwonki .staff .note-desc.N10_H:after {content: 'si';}
#dzwonki .staff .note-desc.N11_C:after {content: 'do';}
#dzwonki .staff .note-desc.N12_D:after {content: 're';}
#dzwonki .staff .note-desc.N13_E:after {content: 'mi';}
#dzwonki .staff .note-desc.N14_F:after {content: 'fa';}
#dzwonki .staff .note-desc.N15_G:after {content: 'sol';}
#dzwonki .staff .note-desc.N16_A:after {content: 'la';}

#dzwonki .staff .note-desc.active,
#dzwonki .staff .pause-desc.active {
	color: #f00;
}

#dzwonki .staff .bar {
	width: 25px;
	display: inline-block;
	position: relative;
}
#dzwonki .staff .bar:after {
	content: '';
	width: 1px;
	height: 41px;
	background: #000;
	position: absolute;
	top: -40px;
	left: 12px;
}
#dzwonki .staff .signature {
	display: inline-block;
	position: relative;
	width: 25px;
}
#dzwonki .staff .signature div {
	position: absolute;
	font-size: 26px;
	line-height: 22px;
}
#dzwonki .staff .signature div.over {
	top: -39px;
}
#dzwonki .staff .signature div.under {
	top: -19px;
}
